/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.fidentis.analyst.tests;

import cz.fidentis.analyst.batch.Stopwatch;
import cz.fidentis.analyst.face.HumanFace;
import cz.fidentis.analyst.face.HumanFaceFactory;
import cz.fidentis.analyst.face.HumanFaceUtils;
import cz.fidentis.analyst.feature.utils.FileResourcesUtils;
import cz.fidentis.analyst.visitors.mesh.HausdorffDistance;
import cz.fidentis.analyst.visitors.mesh.sampling.CurvatureSampling;
import cz.fidentis.analyst.visitors.mesh.sampling.NoSampling;
import cz.fidentis.analyst.visitors.mesh.sampling.PointSampling;
import cz.fidentis.analyst.visitors.mesh.sampling.RandomSampling;
import cz.fidentis.analyst.visitors.mesh.sampling.UniformSpaceSampling;
import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.SortedMap;
import java.util.TreeMap;
import java.util.stream.Collectors;

/**
 *
 * @author Jakub Kolman
 */
public class ProcrustesVisitorTest {
    private static final String DATA_DIR = "./src/test/resources/cz/fidentis/analyst";
    private static final int MAX_SAMPLES = 100;
    private static final String FACE_1 = "00002_01_ECA.obj";
    private static final String FACE_2 = "00004_01_ECA.obj";
    
    /**
     * Main method 
     * @param args Input arguments 
     * @throws IOException on IO error
     */
    public static void main(String[] args) throws IOException, ClassNotFoundException, Exception {
        FileResourcesUtils fru = new FileResourcesUtils();
        HumanFaceFactory factory = new HumanFaceFactory();
        
        
            HumanFace face1 = factory.getFace(factory.loadFace(
                fru.getFile(DATA_DIR.toString(), FACE_1)));
            HumanFace face2 = factory.getFace(factory.loadFace(
                fru.getFile(DATA_DIR.toString(), FACE_2)));
            
            tryProcrustesVisitor(face1, face2);
        

        }

    protected static void tryProcrustesVisitor(HumanFace face1, HumanFace face2) {
                    HumanFaceUtils.alignFeaturePoints(face1, face2, false, false);
//                    HumanFaceUtils.alignFeaturePoints(face1, face2, true, false);
    }
    
 
}


